locked
Validation error: This package was built with an out-of-date version of the Windows SDK. Please update to the latest version

    Question

  • I was just getting this error with VS2013RC last night and not with VS2012.

    Now I am getting it with both.

    I have downloaded the latest sdk but no joy.


    n.Wright

    Tuesday, October 1, 2013 11:08 PM

Answers

All replies

  • But I have just downloaded VS 2013 RC which has it incorporated !

    n.Wright

    Tuesday, October 1, 2013 12:55 AM
  • Try building clean.

    If that doesn't work we'll need more information to help.

    Where exactly are you getting this? What are the exact repro steps? Can you repro with a basic app or just your real one? etc.

    --Rob

    Tuesday, October 1, 2013 7:24 PM
    Moderator
  • It is an app that uploads OK via VS2012 but not VS2013.

    I am running Windows 8.1


    n.Wright

    Tuesday, October 1, 2013 8:25 PM
  • What do you mean by uploads?

    Are you trying to submit this to the store? The store is not yet open for Windows 8.1 apps.

    --Rob

    Tuesday, October 1, 2013 10:37 PM
    Moderator
  • Please don't post multiple threads for the same topic. If you have new information add it to the original thread.

    We can't help you if you don't provide sufficient information. Can you please explain exactly where you get this error and what sort of app you are writing? In previous posts you were using Windows 8.1 specific interfaces, but now you say you are building with Visual Studio 2012. There is definitely something odd with your environment.

    --Rob

    Tuesday, October 1, 2013 11:19 PM
    Moderator
  • Sorry I couldn't find my original thread.

    I am building both win 8 and win 8.1 apps using directx.

    I am using VS2012 and VS2013rc.

    The problem occurs when uploading for certification.

    Validation error:    This package was built with an out-of-date version of the Windows SDK. Please update to the latest version


    n.Wright

    Tuesday, October 1, 2013 11:23 PM
  • I did a rebuild and it is OK now for win 8.0 app.

    Thanks....


    n.Wright

    Tuesday, October 1, 2013 11:28 PM
  • The store is not yet open for Windows 8.1 apps. The error is misleading, but I suspect that's the problem with your Windows 8.1 package.

    Tuesday, October 1, 2013 11:42 PM
    Moderator
  • You can click on your name to find your threads. I had moved it to a more appropriate forum, but it's merged back into this one for now. I'll move it back to tools in a bit so it's  in the correct context for the future.

    --Rob

    Tuesday, October 1, 2013 11:45 PM
    Moderator
  • I have the same Problem.

    App package compiled and certified successfully but when i'm uploading at the devcenter dashboard the following validation error message appears:

    "This package was built with an out-of-date version of the Windows SDK. Please update to the latest Version"

    But I already updated and installed with the given link to Windows SDK for Windows 8.1. Do i Need to make some propertie changes or something like that in my Visual Studio Project?

    Also the store is open for Windows 8.1 Apps right now i think. Because there are 2 package slotes now at the dashboard. On for Windows 8 build and one for Windows 8.1 build package.

    May someone can help to fix this problem?

    Friday, October 18, 2013 11:30 AM
  • I am facing the same problem too. Any suggestions?
    Friday, October 18, 2013 12:09 PM
  • I found out the Problem for me was that i did not used the rtm version of visual studio just a RC (released candidate).

    Be shure you running the origin Windows 8.1 (RTM) and also Visual Studio as RTM (like Express you can download it for free).

    The Developer page is a bit confusing, so not all links bring you to the right way. Is just my opinion. But i also Need to say it's day one for the windows 8.1 apps.

    Friday, October 18, 2013 12:49 PM